#
# spec file for package ftsteutates
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ftsteutates
Version:        20160601
Release:        3.19
Summary:        Kernel module ftsteutates
License:        GPL-2.0+
Group:          System/Kernel
Url:            ftp://ftp.ts.fujitsu.com/pub/Mainboard-OEM-Sales/Services/
Source0:        ftp://ftp.ts.fujitsu.com/pub/Mainboard-OEM-Sales/Services/Software&Tools/Linux_SystemMonitoring&Watchdog&GPIO/ftsteutates-module_%{version}.zip
BuildRequires:  %{kernel_module_package_buildreqs}
BuildRequires:  unzip
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%kernel_module_package
ExclusiveArch:  %{ix86} x86_64

%description
System monitoring and thermal management for Teutates chips/Fujitsu
mainboards (D34xx).

%package sensors
Summary:        Sensors config ftsteutates
Group:          System/Monitoring
Requires:       sensors
BuildArch:      noarch

%description sensors
System monitoring and thermal management for Fujitsu mainboards (D34xx).
This package contains the mainboard model specific config files for nice
lm-sensors output.

%prep
%setup -q -n ftsteutates
mkdir source
mkdir obj
cp -a Makefile ftsteutates.c source/

%build
for flavor in %{flavors_to_build}; do
    rm -rf obj/$flavor
    cp -r source obj/$flavor
    make -C %{_prefix}/src/linux-obj/%{_target_cpu}/$flavor modules \
         M=$PWD/obj/$flavor
done

%install
# install kernel modules
export INSTALL_MOD_PATH=%{buildroot}
export INSTALL_MOD_DIR=updates
for flavor in %{flavors_to_build}; do
    make -C %{_prefix}/src/linux-obj/%{_target_cpu}/$flavor modules_install \
         M=$PWD/obj/$flavor
done

%files sensors
%defattr(-,root,root)
%doc assets test

%changelog
* Sun Sep  4 2016 mpluskal@suse.com
- Use url for source
- Use modern macros for KMP handling
* Tue Jul 12 2016 sweet_f_a@gmx.de
- initial package ftsteutates version 20160601
